(ns sliva.ctl
  (:require [chord.client :refer [ws-ch]]
            [cljs.core.async :refer [<! >! put! close! chan]])
  (:require-macros [cljs.core.async.macros :refer [go go-loop]]))

(def vtic (atom (chan)))

(defn websocket-init []
  (console.log "init webscoket")
  (go (let [{:keys [ws-channel error]} (<! (ws-ch "ws://localhost:3449/ws"))]
        (if-not error
          (do
            (reset! vtic ws-channel)
            (>! ws-channel "Hello server")

          ;;   (go-loop []
          ;;     (let [{:keys [message]} (<! ws-channel)]
          ;;       (console.log "got msg" message)
          ;;       (socket-handler message)
          ;;       (recur))))
            )
           (js/console.log "Fejl websocket: " (pr-str error))))))
